View Issue Details

IDProjectCategoryView StatusLast Update
0004893Multi Theft Auto : San AndreasClientpublic2013-01-13 13:48
ReporterDragonAssigned ToJusonex 
PrioritylowSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
PlatformQ9450 | GTX 280 | 2 GB DDR3 RAMOSWindows XP Home EditionOS Version2002 SP 3
Product Version 
Target Version1.4Fixed in Version1.3.2 
Summary0004893: [Request] Implement events and functions for the manipulation of breakable objects
Description

There would be a lot to do to make this possible/perfect:

-new events onClientBreakObject
-new function setObjectBreakable(theObject,bool) (setObjectStatic already exists)
-make getElementPosition/Rotation work for moved dynamic objects
-add a way to respawn broken objects

Additional Information

target version should be 1.0.5 or 1.0.4

TagsNo tags attached.

Relationships

related to 0003522 resolvedJusonex Multi Theft Auto : San Andreas request: Make it able to set velocity on dynamic objects 
has duplicate 0004957 closed New issues Server Created Object Positions Not Changed 
has duplicate 0005498 closed New issues setObjectBreakable 
child of 0003344 closed New Feature Requests Requested features tracker 

Activities

jack9267

2011-01-26 01:20

viewer   ~~0012758

This could be useful what I'm doing ATM is disabling collision on a breakable object.

LooooP

2011-11-29 16:18

reporter   ~~0015298

Last edited: 2011-11-29 16:18

Related with #5537

ryden

2013-01-13 13:48

manager   ~~0017955

Fixed in http://code.google.com/p/mtasa-blue/source/detail?r=4924

Issue History

Date Modified Username Field Change